## org.gnu.gtk.event
Class ButtonEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.ButtonEvent.Type

Enclosing class:
  ButtonEvent

public static class ButtonEvent.Type
extends EventType

Type of a ButtonEvent

Field Summary
`static ButtonEvent.Type` `ACTIVATE`
`static ButtonEvent.Type` `CLICK` Emitted when a button clicked on by the mouse and the cursor stays on the button.
`static ButtonEvent.Type` `ENTER` Emitted when the mouse cursor enters the region of the button.
`static ButtonEvent.Type` `LEAVE` Emitted when the mouse cursor leaves the region of the button.
`static ButtonEvent.Type` `PRESS` Emitted when the button is initially pressed.
`static ButtonEvent.Type` `RELEASE` Emitted when a button which is pressed is released, no matter where the mouse cursor is.

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTIVATE

    public static final ButtonEvent.Type ACTIVATE

### CLICK

    public static final ButtonEvent.Type CLICK

  Emitted when a button clicked on by the mouse and the cursor stays on the button. If the cursor is not on the button when the mouse button is released, the signal is not emitted.

### ENTER

    public static final ButtonEvent.Type ENTER

  Emitted when the mouse cursor enters the region of the button.

### LEAVE

    public static final ButtonEvent.Type LEAVE

  Emitted when the mouse cursor leaves the region of the button.

### PRESS

    public static final ButtonEvent.Type PRESS

  Emitted when the button is initially pressed.

### RELEASE

    public static final ButtonEvent.Type RELEASE

  Emitted when a button which is pressed is released, no matter where the mouse cursor is.